Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.startup
Class EmbeddedManager

    java.lang.Object
      |
      +--javax.management.NotificationBroadcasterSupport
            |
            +--org.apache.catalina.startup.EmbeddedManager

All Implemented Interfaces:
  EmbeddedManagerMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster

public final class EmbeddedManager
extends javax.management.NotificationBroadcasterSupport
implements EmbeddedManagerMBean, javax.management.MBeanRegistration

Implementation of the Catalina JMX MBean as a wrapper of the Catalina class.

Version:
  $Revision: 1.3.2.1 $
Author:
  Remy Maucherat

Fields inherited from interface org.apache.catalina.startup.EmbeddedManagerMBean
`NAME, OBJECT_NAME, STARTED, STARTING, states, STOPPED, STOPPING`

Constructor Summary
`EmbeddedManager()`

Method Summary
`void` | `addConnector(Connector connector)` Add a new Connector to the set of defined Connectors.
`void` | `addEngine(Engine engine)` Add a new Engine to the set of defined Engines.
`Connector` | `createConnector(java.net.InetAddress address, int port, boolean secure)` Create, configure, and return a new TCP/IP socket connector based on the specified properties.
`Context` | `createContext(java.lang.String path, java.lang.String docBase)` Create, configure, and return a Context that will process all HTTP requests received from one of the associated Connectors, and directed to the specified context path on the virtual host to which this Context is connected.
`Engine` | `createEngine()` Create, configure, and return an Engine that will process all HTTP requests received from one of the associated Connectors, based on the specified properties.
`Host` | `createHost(java.lang.String name, java.lang.String appBase)` Create, configure, and return a Host that will process all HTTP requests received from one of the associated Connectors, and directed to the specified virtual host.
`void` | `destroy()` Destroy servlet container (if any is running).
`int` | `getDebug()` Return the debugging detail level for this component.
`java.lang.String` | `getInfo()` Return descriptive information about this Server implementation and the corresponding version number, in the format `<description>/<version>`.
`Logger` | `getLogger()` Return the Logger for this component.
`java.lang.String` | `getName()` Retruns the Catalina component name.
`Realm` | `getRealm()` Return the default Realm for our Containers.
`java.lang.String` | `getSocketFactory()` Return the secure socket factory class name.
`int` | `getState()` Returns the state.
`java.lang.String` | `getStateString()` Returns a String representation of the state.
`boolean` | `isUseNaming()` Return true if naming is enabled.
`void` | `postDeregister()`
`void` | `postRegister(java.lang.Boolean registrationDone)`
`void` | `preDeregister()`
`javax.management.ObjectName` | `preRegister(javax.management.MBeanServer server, javax.management.ObjectName name)`
`void` | `removeConnector(Connector connector)` Remove the specified Connector from the set of defined Connectors.
`void` | `removeContext(Context context)` Remove the specified Context from the set of defined Contexts for its associated Host.
`void` | `removeEngine(Engine engine)` Remove the specified Engine from the set of defined Engines, along with all of its related Hosts and Contexts.
`void` | `removeHost(Host host)` Remove the specified Host, along with all of its related Contexts, from the set of defined Hosts for its associated Engine.
`void` | `setDebug(int debug)` Set the debugging detail level for this component.
`void` | `setLogger(Logger logger)` Set the Logger for this component.
`void` | `setRealm(Realm realm)` Set the default Realm for our Containers.
`void` | `setSocketFactory(java.lang.String socketFactory)` Set the secure socket factory class name.
`void` | `setUseNaming(boolean useNaming)` Enables or disables naming support.
`void` | `start()` Start the servlet container.
`void` | `stop()` Stop the servlet container.

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmbeddedManager

    public EmbeddedManager()

Method Detail

### preRegister

    public javax.management.ObjectName preRegister(javax.management.MBeanServer server,
                                                   javax.management.ObjectName name)
                                            throws java.lang.Exception

  Specified by:
    `preRegister` in interface `javax.management.MBeanRegistration`

### postRegister

    public void postRegister(java.lang.Boolean registrationDone)

  Specified by:
    `postRegister` in interface `javax.management.MBeanRegistration`

### preDeregister

    public void preDeregister()
                       throws java.lang.Exception

  Specified by:
    `preDeregister` in interface `javax.management.MBeanRegistration`

### postDeregister

    public void postDeregister()

  Specified by:
    `postDeregister` in interface `javax.management.MBeanRegistration`

### getName

    public java.lang.String getName()

  Retruns the Catalina component name.
  Specified by:
    `getName` in interface `EmbeddedManagerMBean`

### getState

    public int getState()

  Returns the state.
  Specified by:
    `getState` in interface `EmbeddedManagerMBean`

### getStateString

    public java.lang.String getStateString()

  Returns a String representation of the state.
  Specified by:
    `getStateString` in interface `EmbeddedManagerMBean`

### start

    public void start()

  Start the servlet container.
  Specified by:
    `start` in interface `EmbeddedManagerMBean`
  Following copied from interface: `org.apache.catalina.startup.EmbeddedManagerMBean`
  Throws:
    `java.lang.IllegalStateException` - if this component has already been started

### stop

    public void stop()

  Stop the servlet container.
  Specified by:
    `stop` in interface `EmbeddedManagerMBean`
  Following copied from interface: `org.apache.catalina.startup.EmbeddedManagerMBean`
  Throws:
    `java.lang.IllegalStateException` - if this component has not been started

### destroy

    public void destroy()

  Destroy servlet container (if any is running).
  Specified by:
    `destroy` in interface `EmbeddedManagerMBean`

### getDebug

    public int getDebug()

  Return the debugging detail level for this component.
  Specified by:
    `getDebug` in interface `EmbeddedManagerMBean`

### setDebug

    public void setDebug(int debug)

  Set the debugging detail level for this component.
  Specified by:
    `setDebug` in interface `EmbeddedManagerMBean`
  Parameters:
    `debug` - The new debugging detail level

### isUseNaming

    public boolean isUseNaming()

  Return true if naming is enabled.
  Specified by:
    `isUseNaming` in interface `EmbeddedManagerMBean`

### setUseNaming

    public void setUseNaming(boolean useNaming)

  Enables or disables naming support.
  Specified by:
    `setUseNaming` in interface `EmbeddedManagerMBean`
  Parameters:
    `useNaming` - The new use naming value

### getLogger

    public Logger getLogger()

  Return the Logger for this component.
  Specified by:
    `getLogger` in interface `EmbeddedManagerMBean`

### setLogger

    public void setLogger(Logger logger)

  Set the Logger for this component.
  Specified by:
    `setLogger` in interface `EmbeddedManagerMBean`
  Parameters:
    `logger` - The new logger

### getRealm

    public Realm getRealm()

  Return the default Realm for our Containers.
  Specified by:
    `getRealm` in interface `EmbeddedManagerMBean`

### setRealm

    public void setRealm(Realm realm)

  Set the default Realm for our Containers.
  Specified by:
    `setRealm` in interface `EmbeddedManagerMBean`
  Parameters:
    `realm` - The new default realm

### getSocketFactory

    public java.lang.String getSocketFactory()

  Return the secure socket factory class name.
  Specified by:
    `getSocketFactory` in interface `EmbeddedManagerMBean`

### setSocketFactory

    public void setSocketFactory(java.lang.String socketFactory)

  Set the secure socket factory class name.
  Specified by:
    `setSocketFactory` in interface `EmbeddedManagerMBean`
  Parameters:
    `socketFactory` - The new secure socket factory class name

### addConnector

    public void addConnector(Connector connector)

  Add a new Connector to the set of defined Connectors. The newly added Connector will be associated with the most recently added Engine.
  Specified by:
    `addConnector` in interface `EmbeddedManagerMBean`
  Parameters:
    `connector` - The connector to be added
  Throws:
    `java.lang.IllegalStateException` - if no engines have been added yet

### addEngine

    public void addEngine(Engine engine)

  Add a new Engine to the set of defined Engines.
  Specified by:
    `addEngine` in interface `EmbeddedManagerMBean`
  Parameters:
    `engine` - The engine to be added

### createConnector

    public Connector createConnector(java.net.InetAddress address,
                                     int port,
                                     boolean secure)

  Create, configure, and return a new TCP/IP socket connector based on the specified properties.
  Specified by:
    `createConnector` in interface `EmbeddedManagerMBean`
  Parameters:
    `address` - InetAddress to listen to, or `null` to listen on all address on this server
    `port` - Port number to listen to
    `secure` - Should this port be SSL-enabled?

### createContext

    public Context createContext(java.lang.String path,
                                 java.lang.String docBase)

  Create, configure, and return a Context that will process all HTTP requests received from one of the associated Connectors, and directed to the specified context path on the virtual host to which this Context is connected.

  After you have customized the properties, listeners, and Valves for this Context, you must attach it to the corresponding Host by calling:

         host.addChild(context);

  which will also cause the Context to be started if the Host has already been started.
  Specified by:
    `createContext` in interface `EmbeddedManagerMBean`
  Parameters:
    `path` - Context path of this application ("" for the default application for this host, must start with a slash otherwise)
    `docBase` - Absolute pathname to the document base directory for this web application
  Throws:
    `java.lang.IllegalArgumentException` - if an invalid parameter is specified

### createEngine

    public Engine createEngine()

  Create, configure, and return an Engine that will process all HTTP requests received from one of the associated Connectors, based on the specified properties.
  Specified by:
    `createEngine` in interface `EmbeddedManagerMBean`

### createHost

    public Host createHost(java.lang.String name,
                           java.lang.String appBase)

  Create, configure, and return a Host that will process all HTTP requests received from one of the associated Connectors, and directed to the specified virtual host.

  After you have customized the properties, listeners, and Valves for this Host, you must attach it to the corresponding Engine by calling:

         engine.addChild(host);

  which will also cause the Host to be started if the Engine has already been started. If this is the default (or only) Host you will be defining, you may also tell the Engine to pass all requests not assigned to another virtual host to this one:

         engine.setDefaultHost(host.getName());

  Specified by:
    `createHost` in interface `EmbeddedManagerMBean`
  Parameters:
    `name` - Canonical name of this virtual host
    `appBase` - Absolute pathname to the application base directory for this virtual host
  Throws:
    `java.lang.IllegalArgumentException` - if an invalid parameter is specified

### getInfo

    public java.lang.String getInfo()

  Return descriptive information about this Server implementation and the corresponding version number, in the format `<description>/<version>`.
  Specified by:
    `getInfo` in interface `EmbeddedManagerMBean`

### removeConnector

    public void removeConnector(Connector connector)

  Remove the specified Connector from the set of defined Connectors.
  Specified by:
    `removeConnector` in interface `EmbeddedManagerMBean`
  Parameters:
    `connector` - The Connector to be removed

### removeContext

    public void removeContext(Context context)

  Remove the specified Context from the set of defined Contexts for its associated Host. If this is the last Context for this Host, the Host will also be removed.
  Specified by:
    `removeContext` in interface `EmbeddedManagerMBean`
  Parameters:
    `context` - The Context to be removed

### removeEngine

    public void removeEngine(Engine engine)

  Remove the specified Engine from the set of defined Engines, along with all of its related Hosts and Contexts. All associated Connectors are also removed.
  Specified by:
    `removeEngine` in interface `EmbeddedManagerMBean`
  Parameters:
    `engine` - The Engine to be removed

### removeHost

    public void removeHost(Host host)

  Remove the specified Host, along with all of its related Contexts, from the set of defined Hosts for its associated Engine. If this is the last Host for this Engine, the Engine will also be removed.
  Specified by:
    `removeHost` in interface `EmbeddedManagerMBean`
  Parameters:
    `host` - The Host to be removed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.